<!-- 
{{ $id := .Get "id" }}
-->
<div
  x-data="{
    context: App.Workflow,
    pipeline_id: '{{ $id }}' || (new URLSearchParams(window.location.search)).get('id'),
    pipeline: null,
  }"
  x-init="    
    if (pipeline_id) {
      pipeline = await context.Pipelines.fetch(pipeline_id);
    }
  "
>
  <!-- List all pipelines -->
  <template x-if="!pipeline">
    <div>{{ partial "jobs/list" . }}</div>
  </template>

  <!-- Show specific pipeline details -->
  <template x-if="pipeline">
    <div>{{ partial "jobs/details" . }}</div>
  </template>
</div>
